package com.datacloudsec.scan.cache;

import com.datacloudsec.scan.common.Constant;
import com.datacloudsec.utils.JsonUtil;
import java.io.File;
import java.util.Map;

public class PeneCommand {

   private Map command;
   private static long lastMdfTime;
   private static File comFile = new File(Constant.WORK_DIR, "conf/command.json");
   private static PeneCommand instance;


   public static synchronized PeneCommand getInstance() throws Exception {
      if(instance == null) {
         instance = new PeneCommand();
      }

      if(comFile.lastModified() != lastMdfTime) {
         instance.command = (Map)JsonUtil.MAPPER_ESCAPE_HTML.readValue(comFile, Map.class);
         lastMdfTime = comFile.lastModified();
      }

      return instance;
   }

   public static void main(String[] args) throws Exception {
      System.out.println(getInstance().getCommand().get("rce"));
   }

   public Map getCommand() {
      return this.command;
   }
}
